#ifdef STATISTICS
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Counter/include/Counter.h"

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace counter {

#undef  FUNCTION
#define FUNCTION "Counter::statistics_print"
  string Counter::statistics_print (uint32_t depth)
  {
    log_printf(FUNC,Counter,FUNCTION,"Begin");

    string txt = _stat->print(depth);
    
    log_printf(FUNC,Counter,FUNCTION,"End");

    return txt;
  };

}; // end namespace counter
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
